# Fugio
Fugio is an open visual programming system for creating digital art, learning programming, and making cool stuff with hardware such as the Oculus Rift, Kinect, Arduino, Leap Motion, and any MIDI, OSC, TUIO, or DMX enabled thing.

# Download Binaries
Download Fugio ready-built for Microsoft Windows and Apple OS X from http://www.bigfug.com/software/fugio

# Simple, clear design
There are building blocks called nodes that have inputs and outputs. Link the inputs to the outputs using your mouse. You now know how to use Fugio!

# Learn useful, transferable knowledge
Fugio calls everything by its real-world name and doesn’t introduce needless jargon.  What you learn here will be useful elsewhere.  It hides the code and leaves you to process the real data how you need to.

# Make things first, learn programming on the way
Learning to break an idea down into smaller steps that can be described in code is just as important as learning to write the code itself (and much less frustrating).   Using Fugio, you’ll naturally learn important programming concepts along the way without writing a single line of code.

# Digital Preservation
Creating digital art is challenging enough without worrying whether it will still be working in the future when you want to show it again.  Fugio is designed to be at the cutting edge of digital preservation with its robust, highly modular design allowing for reconfiguration or replacement of nodes without needing to rebuild the whole thing from scratch.

# Digital Democracy
Fugio is designed to democratise access to technology for anyone who wants to use it, regardless of existing technical experience.  It is amazing to see the worldwide enthusiasm and variety of quality resources to make learning to code available to everyone that has been happening over the past few years.

However, we have to recognise that coding just isn’t for everyone, and we don’t believe that anyone should have to learn to write code to understand or use computers if they don’t like doing it.

Fugio aims to allow access to high and low level technologies without having to write a single line of code, unless you want to, and then you can do that too!

# Open API
Fugio is built in C++ using the Qt 5 Project for its excellent cross-platform support.

There is a programming API for Fugio allowing you to create custom nodes, GUI components, and other parts of the system.

You can use Visual Studio C++ Express on Windows, XCode on OSX, or standard build tools on Linux to create plugins.
